{
  "_args": [
    [
      "gm-crypto@0.1.8",
      "C:\\Users\\asus\\Desktop\\cashier_admin_app"
    ]
  ],
  "_from": "gm-crypto@0.1.8",
  "_id": "gm-crypto@0.1.8",
  "_inBundle": false,
  "_integrity": "sha512-gbTkobkbj3F70HJDQNhN9JNTvcR3O1YQJ0xGc8jTc4bZ1KuikmkjuFm5kZhyUbWxK/PwWDpPuTNyGwRYOopBLw==",
  "_location": "/gm-crypto",
  "_phantomChildren": {},
  "_requested": {
    "type": "version",
    "registry": true,
    "raw": "gm-crypto@0.1.8",
    "name": "gm-crypto",
    "escapedName": "gm-crypto",
    "rawSpec": "0.1.8",
    "saveSpec": null,
    "fetchSpec": "0.1.8"
  },
  "_requiredBy": [
    "/"
  ],
  "_resolved": "https://registry.npmmirror.com/gm-crypto/-/gm-crypto-0.1.8.tgz",
  "_spec": "0.1.8",
  "_where": "C:\\Users\\asus\\Desktop\\cashier_admin_app",
  "author": {
    "name": "panjizhi1987@gmail.com"
  },
  "bugs": {
    "url": "https://github.com/byte-fe/gm-crypto/issues"
  },
  "config": {
    "commitizen": {
      "path": "./node_modules/cz-conventional-changelog"
    }
  },
  "dependencies": {
    "buffer": "^5.7.0",
    "jsbn": "^1.1.0",
    "to-arraybuffer": "^1.0.1"
  },
  "description": "An implementation of GM/T industry standards",
  "devDependencies": {
    "@commitlint/cli": "^11.0.0",
    "@commitlint/config-conventional": "^11.0.0",
    "ava": "^3.13.0",
    "commitizen": "^4.2.2",
    "cz-conventional-changelog": "^3.3.0",
    "husky": "^4.3.0",
    "microbundle": "^0.12.4",
    "nyc": "^15.1.0",
    "prettier": "^2.1.2"
  },
  "esmodule": "dist/index.modern.js",
  "files": [
    "types",
    "dist"
  ],
  "homepage": "https://github.com/byte-fe/gm-crypto#readme",
  "husky": {
    "hooks": {
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS",
      "pre-push": "npm test"
    }
  },
  "keywords": [
    "sm2",
    "sm3",
    "sm4",
    "zuc",
    "gm",
    "crypto"
  ],
  "license": "MIT",
  "main": "dist/index.js",
  "module": "dist/index.esm.js",
  "name": "gm-crypto",
  "repository": {
    "type": "git",
    "url": "git+ssh://git@github.com/byte-fe/gm-crypto.git"
  },
  "scripts": {
    "build": "npm run clean && microbundle --entry src/index.js --sourcemap false",
    "build:coverage": "npm run clean && microbundle --entry src/index.js --sourcemap true",
    "clean": "rm -rf dist",
    "commit": "cz",
    "prepublishOnly": "npm run build",
    "test": "npm run build:coverage && nyc --reporter=text --reporter=lcovonly ava -v"
  },
  "types": "types/index.d.ts",
  "umd:main": "dist/index.umd.js",
  "unpkg": "dist/index.umd.js",
  "version": "0.1.8"
}
